#!/bin/bash
CALAMARIS_COMMAND=/usr/local/calamaris/calamaris
:<< _EOF

This script generates a real time analysis of traffic by parsing access.log with calamaris script
This Script can be used as an External Parser with SafeSquid
_EOF

SAMPLING=100000
LOG_FILE=/opt/safesquid/safesquid/logs/access/access.log

# define the output parameters
FORMAT=$1
:<< _COM
        mail        = mail format, disables graph output.
        html        = HTML format
        html-frame  = HTML frames, disables mail output.
        html-embed  = HTML format without HTML-headers.
        graph       = enable graphics, needs GD::Graph, only useful with html
                      or html-embed, see --output-path. Disables mail output.
        unformatted = plain unformatted output
_COM


SET_PARAMS ()
        {
        # set all the parameters as arguments to CALAMARIS_COMMAND
        [ "x${FORMAT}" != "x" ] && CALAMARIS_COMMAND=`echo ${CALAMARIS_COMMAND} -F ${FORMAT}`



        return;
        }





SET_PARAMS

# Tail the required number of lines and pipe it into calamaris

# tail -n ${SAMPLING} ${LOG_FILE} | ${CALAMARIS_COMMAND} -a -P 1

tail -n ${SAMPLING} ${LOG_FILE} | ${CALAMARIS_COMMAND} -a -P 1

exit 0

